Bug 1055838 - Review Request: ghc-time-compat - Compatibility with old-time for the time package
Summary: Review Request: ghc-time-compat - Compatibility with old-time for the time pa...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 892586 1153948
TreeView+ depends on / blocked
 
Reported: 2014-01-21 03:50 UTC by Jens Petersen
Modified: 2019-01-16 02:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-21 12:03:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2014-01-21 03:50:27 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-time-compat.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-time-compat-0.1.0.3-1.fc20.src.rpm

Description:
Compatibility with the old-time package for the new time package.

Comment 1 Jens Petersen 2014-01-21 03:50:31 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6432867

Comment 2 Jens Petersen 2014-01-21 04:06:51 UTC
Needed by happstack-server > 7.1.0

Comment 3 Jens Petersen 2014-04-01 05:11:58 UTC
Bit like transformers-compat I wonder if we can't get anyway with
patching happstack-server for this instead.

Comment 4 Elliott Sales de Andrade 2017-10-05 01:56:39 UTC
> %doc LICENSE

Should be changed to %license now, or it doesn't build. Probably want to regenerate with latest template as well.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck in
     1055838-ghc-time-compat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: ghc-time-compat-0.1.0.3-1.fc28.x86_64.rpm
          ghc-time-compat-devel-0.1.0.3-1.fc28.x86_64.rpm
          ghc-time-compat-0.1.0.3-1.fc28.src.rpm
ghc-time-compat.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ghc-time-compat.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
ghc-time-compat-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(base-4.9.1.0)
    ghc-devel(old-time-1.1.0.3-KWRsMSdY26c2L27Y9n9cyq)
    ghc-devel(time-1.6.0.1)
    ghc-time-compat(x86-64)

ghc-time-compat (rpmlib, GLIBC filtered):
    libHSarray-0.5.1.1-ghc8.0.2.so()(64bit)
    libHSbase-4.9.1.0-ghc8.0.2.so()(64bit)
    libHSdeepseq-1.4.2.0-ghc8.0.2.so()(64bit)
    libHSghc-prim-0.5.0.0-ghc8.0.2.so()(64bit)
    libHSinteger-gmp-1.0.0.1-ghc8.0.2.so()(64bit)
    libHSold-locale-1.0.0.7-KGBP1BSKxH5GCm0LnZP04j-ghc8.0.2.so()(64bit)
    libHSold-time-1.1.0.3-KWRsMSdY26c2L27Y9n9cyq-ghc8.0.2.so()(64bit)
    libHStime-1.6.0.1-ghc8.0.2.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-time-compat-devel:
    ghc-devel(time-compat-0.1.0.3-BK1RqWOlKAr4qLDN3xUR94)
    ghc-time-compat-devel
    ghc-time-compat-devel(x86-64)
    ghc-time-compat-static

ghc-time-compat:
    ghc-time-compat
    ghc-time-compat(x86-64)
    libHStime-compat-0.1.0.3-BK1RqWOlKAr4qLDN3xUR94-ghc8.0.2.so()(64bit)



Unversioned so-files
--------------------
ghc-time-compat: /usr/lib64/ghc-8.0.2/time-compat-0.1.0.3-BK1RqWOlKAr4qLDN3xUR94/libHStime-compat-0.1.0.3-BK1RqWOlKAr4qLDN3xUR94-ghc8.0.2.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/time-compat/0.1.0.3/time-compat-0.1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 590711214510c0d2d09780c7fe3b21748bc4802e9053f78ccd6658e951fe0f7f
  CHECKSUM(SHA256) upstream package : 590711214510c0d2d09780c7fe3b21748bc4802e9053f78ccd6658e951fe0f7f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n ghc-time-compat-0.1.0.3-1.fc26.src.rpm --rpm-spec
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Elliott Sales de Andrade 2017-10-15 06:54:46 UTC
Approved.

Comment 7 Jens Petersen 2017-10-15 13:39:47 UTC
Thanks a lot!

https://pagure.io/releng/fedora-scm-requests/issue/2279

Comment 8 Gwyn Ciesla 2017-10-16 14:07:24 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-time-compat. You may commit to the branch "f27" in about 10 minutes.

Comment 9 Fedora Update System 2017-10-17 08:13:12 UTC
ghc-time-compat-0.1.0.3-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f3d5998600

Comment 10 Fedora Update System 2017-10-17 18:51:42 UTC
ghc-time-compat-0.1.0.3-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f3d5998600


Note You need to log in before you can comment on or make changes to this bug.